> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert Expense Approval Tier

> Creates or updates an org approval tier with amount range, approver role and contributor type.

Not available to API keys yet. It will need `expenses:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/upsert-expense-approval-tier
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/upsert-expense-approval-tier:
    post:
      operationId: upsertExpenseApprovalTier
      summary: Upsert Expense Approval Tier
      description: >-
        Creates or updates an org approval tier with amount range, approver role
        and contributor type.


        Not available to API keys yet. It will need `expenses:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpsertExpenseApprovalTierRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpsertExpenseApprovalTierResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpsertExpenseApprovalTierRequest:
      type: object
      properties:
        tierID:
          type: string
          format: uuid
        tierOrder:
          type: integer
          minimum: 1
          maximum: 20
        minAmount:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        maxAmount:
          oneOf:
            - type: string
              minLength: 1
            - {}
            - type: number
          description: >-
            NOTE(ck): z.instanceof(Decimal) has no contract form; TGA still
            checks it
        approverRole:
          type: string
          enum:
            - TOKU_ADMIN
            - CLIENT_ORG_ADMIN
            - CLIENT_ORG_APPROVER
            - FINANCE_ADMIN
            - USER
            - INVESTOR
            - SUB_INVESTOR
            - SUB_RECIPIENT
        contributorType:
          type:
            - string
            - 'null'
          enum:
            - EMPLOYEE
            - CONTRACTOR
            - null
      required:
        - tierOrder
        - approverRole
    UpsertExpenseApprovalTierResponse:
      type: object
      properties:
        tierID:
          type: string
          format: uuid
      required:
        - tierID
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
